function setup()
	actor.name = "Lias"
	actor.portrait = "lias"
	actor.repairCost = 300
	actor.repairTime = 4
	
	actor.addMessage("LIAS: Wow, are you seriously going to save me with that outdated garbage heap?", "", 0, 1)
	
	actor.addMessage("LIAS: Ugh, grey is sooooo overrated. Onyx is what's hot.", "", 5)
	actor.addMessage("DOES NOT COMPUTE LOGICALLY SPEAKING ONYX IS LAVA THAT HAS COOLED" , "stolenrobot", 5)
	actor.addMessage('LIAS: Nothing about this floating disaster is "cool". This rust bucket needs a fresh coat.', "", 5)
	
	actor.addEvent("boss_lias", 0)
	actor.addEvent("bossfriendly_1", 0)
	actor.addWave("cricket", 1, 0, "LIAS", "survivor", 1)	--adds the wave, but doesn't start a battle
	wave.spawnmode = 2				--start out on the map
	wave.faction = 1					--player's faction
	
	actor.addEvent("if_bossalive", 4)
	actor.addEvent("fleet_lias", 5)
	
	--displayname co-opted as the description
	actor.displayName = "He has a stylish, onyx-tinted briefcase full of paint swatches. Choose any color for your ship."

	--click dialogue
	actor.addClickText("Seriously, who designed this thing??")
	actor.addClickText("Le Corbusier is rolling in his grave.")
	actor.addClickText("I'm dying for a smoke right now.")	
	actor.addClickText("Deep space flows with such subtle coloring. I approve.")
	actor.addClickText("I'd smoke a nebula, if I could.")
	actor.addClickText("Bother me later.")
	actor.addClickText("I'm listening to the last known copy of 'The Velvet Underground + Nico' in the galaxy.")
	actor.addClickText("Just leave me alone.")
	actor.addClickText("None of this even 'matters'. We're the last survivors, there's no way we could restart civilization.")
	actor.addClickText("This is how we all die... alone, drifting through the freezing void.")
	actor.addClickText("Is that all there is? Maybe I'll die in an explosion. Just a final burst of color and then... nothing.")
end